org.optaplanner.core.config.localsearch.decider.acceptor

## Class AcceptorConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<AcceptorConfig>
  - - org.optaplanner.core.config.localsearch.decider.acceptor.AcceptorConfig

-     public class AcceptorConfig
      extends AbstractConfig<AcceptorConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Double` | `entityTabuRatio`
    `protected Integer` | `entityTabuSize`
    `protected Double` | `fadingEntityTabuRatio`
    `protected Integer` | `fadingEntityTabuSize`
    `protected Integer` | `fadingMoveTabuSize`
    `protected Integer` | `fadingSolutionTabuSize` Deprecated.
    `protected Integer` | `fadingUndoMoveTabuSize`
    `protected Double` | `fadingValueTabuRatio`
    `protected Integer` | `fadingValueTabuSize`
    `protected Double` | `greatDelugeWaterLevelIncrementRatio`
    `protected String` | `greatDelugeWaterLevelIncrementScore`
    `protected Integer` | `lateAcceptanceSize`
    `protected Integer` | `moveTabuSize`
    `protected String` | `simulatedAnnealingStartingTemperature`
    `protected Integer` | `solutionTabuSize` Deprecated.
    `protected Integer` | `stepCountingHillClimbingSize`
    `protected StepCountingHillClimbingType` | `stepCountingHillClimbingType`
    `protected Integer` | `undoMoveTabuSize`
    `protected Double` | `valueTabuRatio`
    `protected Integer` | `valueTabuSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Acceptor` | `buildAcceptor(HeuristicConfigPolicy configPolicy)`
    `AcceptorConfig` | `copyConfig()` Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `List<Class<? extends Acceptor>>` | `getAcceptorClassList()` Deprecated.
    `List<AcceptorType>` | `getAcceptorTypeList()`
    `Double` | `getEntityTabuRatio()`
    `Integer` | `getEntityTabuSize()`
    `Double` | `getFadingEntityTabuRatio()`
    `Integer` | `getFadingEntityTabuSize()`
    `Integer` | `getFadingMoveTabuSize()`
    `Integer` | `getFadingSolutionTabuSize()` Deprecated.
    `Integer` | `getFadingUndoMoveTabuSize()`
    `Double` | `getFadingValueTabuRatio()`
    `Integer` | `getFadingValueTabuSize()`
    `Double` | `getGreatDelugeWaterLevelIncrementRatio()`
    `String` | `getGreatDelugeWaterLevelIncrementScore()`
    `Integer` | `getLateAcceptanceSize()`
    `Integer` | `getMoveTabuSize()`
    `String` | `getSimulatedAnnealingStartingTemperature()`
    `Integer` | `getSolutionTabuSize()` Deprecated.
    `Integer` | `getStepCountingHillClimbingSize()`
    `StepCountingHillClimbingType` | `getStepCountingHillClimbingType()`
    `Integer` | `getUndoMoveTabuSize()`
    `Double` | `getValueTabuRatio()`
    `Integer` | `getValueTabuSize()`
    `AcceptorConfig` | `inherit(AcceptorConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)` Deprecated.
    `void` | `setAcceptorTypeList(List<AcceptorType> acceptorTypeList)`
    `void` | `setEntityTabuRatio(Double entityTabuRatio)`
    `void` | `setEntityTabuSize(Integer entityTabuSize)`
    `void` | `setFadingEntityTabuRatio(Double fadingEntityTabuRatio)`
    `void` | `setFadingEntityTabuSize(Integer fadingEntityTabuSize)`
    `void` | `setFadingMoveTabuSize(Integer fadingMoveTabuSize)`
    `void` | `setFadingSolutionTabuSize(Integer fadingSolutionTabuSize)` Deprecated.
    `void` | `setFadingUndoMoveTabuSize(Integer fadingUndoMoveTabuSize)`
    `void` | `setFadingValueTabuRatio(Double fadingValueTabuRatio)`
    `void` | `setFadingValueTabuSize(Integer fadingValueTabuSize)`
    `void` | `setGreatDelugeWaterLevelIncrementRatio(Double greatDelugeWaterLevelIncrementRatio)`
    `void` | `setGreatDelugeWaterLevelIncrementScore(String greatDelugeWaterLevelIncrementScore)`
    `void` | `setLateAcceptanceSize(Integer lateAcceptanceSize)`
    `void` | `setMoveTabuSize(Integer moveTabuSize)`
    `void` | `setSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)`
    `void` | `setSolutionTabuSize(Integer solutionTabuSize)` Deprecated.
    `void` | `setStepCountingHillClimbingSize(Integer stepCountingHillClimbingSize)`
    `void` | `setStepCountingHillClimbingType(StepCountingHillClimbingType stepCountingHillClimbingType)`
    `void` | `setUndoMoveTabuSize(Integer undoMoveTabuSize)`
    `void` | `setValueTabuRatio(Double valueTabuRatio)`
    `void` | `setValueTabuSize(Integer valueTabuSize)`
    `AcceptorConfig` | `withAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)` Deprecated.
    `AcceptorConfig` | `withAcceptorTypeList(List<AcceptorType> acceptorTypeList)`
    `AcceptorConfig` | `withEntityTabuRatio(Double entityTabuRatio)`
    `AcceptorConfig` | `withEntityTabuSize(Integer entityTabuSize)`
    `AcceptorConfig` | `withFadingEntityTabuRatio(Double fadingEntityTabuRatio)`
    `AcceptorConfig` | `withFadingEntityTabuSize(Integer fadingEntityTabuSize)`
    `AcceptorConfig` | `withFadingMoveTabuSize(Integer fadingMoveTabuSize)`
    `AcceptorConfig` | `withFadingSolutionTabuSize(Integer fadingSolutionTabuSize)` Deprecated.
    `AcceptorConfig` | `withFadingUndoMoveTabuSize(Integer fadingUndoMoveTabuSize)`
    `AcceptorConfig` | `withFadingValueTabuRatio(Double fadingValueTabuRatio)`
    `AcceptorConfig` | `withFadingValueTabuSize(Integer fadingValueTabuSize)`
    `AcceptorConfig` | `withLateAcceptanceSize(Integer lateAcceptanceSize)`
    `AcceptorConfig` | `withMoveTabuSize(Integer moveTabuSize)`
    `AcceptorConfig` | `withSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)`
    `AcceptorConfig` | `withSolutionTabuSize(Integer solutionTabuSize)` Deprecated.
    `AcceptorConfig` | `withStepCountingHillClimbingSize(Integer stepCountingHillClimbingSize)`
    `AcceptorConfig` | `withStepCountingHillClimbingType(StepCountingHillClimbingType stepCountingHillClimbingType)`
    `AcceptorConfig` | `withUndoMoveTabuSize(Integer undoMoveTabuSize)`
    `AcceptorConfig` | `withValueTabuRatio(Double valueTabuRatio)`
    `AcceptorConfig` | `withValueTabuSize(Integer valueTabuSize)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entityTabuSize

          protected Integer entityTabuSize

    - #### entityTabuRatio

          protected Double entityTabuRatio

    - #### fadingEntityTabuSize

          protected Integer fadingEntityTabuSize

    - #### fadingEntityTabuRatio

          protected Double fadingEntityTabuRatio

    - #### valueTabuSize

          protected Integer valueTabuSize

    - #### valueTabuRatio

          protected Double valueTabuRatio

    - #### fadingValueTabuSize

          protected Integer fadingValueTabuSize

    - #### fadingValueTabuRatio

          protected Double fadingValueTabuRatio

    - #### moveTabuSize

          protected Integer moveTabuSize

    - #### fadingMoveTabuSize

          protected Integer fadingMoveTabuSize

    - #### undoMoveTabuSize

          protected Integer undoMoveTabuSize

    - #### fadingUndoMoveTabuSize

          protected Integer fadingUndoMoveTabuSize

    - #### solutionTabuSize

          @Deprecated
          protected Integer solutionTabuSize

      Deprecated.

    - #### fadingSolutionTabuSize

          @Deprecated
          protected Integer fadingSolutionTabuSize

      Deprecated.

    - #### simulatedAnnealingStartingTemperature

          protected String simulatedAnnealingStartingTemperature

    - #### lateAcceptanceSize

          protected Integer lateAcceptanceSize

    - #### greatDelugeWaterLevelIncrementScore

          protected String greatDelugeWaterLevelIncrementScore

    - #### greatDelugeWaterLevelIncrementRatio

          protected Double greatDelugeWaterLevelIncrementRatio

    - #### stepCountingHillClimbingSize

          protected Integer stepCountingHillClimbingSize

    - #### stepCountingHillClimbingType

          protected StepCountingHillClimbingType stepCountingHillClimbingType

  - ### Constructor Detail

    - #### AcceptorConfig

          public AcceptorConfig()

  - ### Method Detail

    - #### getAcceptorClassList

          @Deprecated
          public List<Class<? extends Acceptor>> getAcceptorClassList()

      Deprecated.

    - #### setAcceptorClassList

          @Deprecated
          public void setAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)

      Deprecated.

    - #### getAcceptorTypeList

          public List<AcceptorType> getAcceptorTypeList()

    - #### setAcceptorTypeList

          public void setAcceptorTypeList(List<AcceptorType> acceptorTypeList)

    - #### getEntityTabuSize

          public Integer getEntityTabuSize()

    - #### setEntityTabuSize

          public void setEntityTabuSize(Integer entityTabuSize)

    - #### getEntityTabuRatio

          public Double getEntityTabuRatio()

    - #### setEntityTabuRatio

          public void setEntityTabuRatio(Double entityTabuRatio)

    - #### getFadingEntityTabuSize

          public Integer getFadingEntityTabuSize()

    - #### setFadingEntityTabuSize

          public void setFadingEntityTabuSize(Integer fadingEntityTabuSize)

    - #### getFadingEntityTabuRatio

          public Double getFadingEntityTabuRatio()

    - #### setFadingEntityTabuRatio

          public void setFadingEntityTabuRatio(Double fadingEntityTabuRatio)

    - #### getValueTabuSize

          public Integer getValueTabuSize()

    - #### setValueTabuSize

          public void setValueTabuSize(Integer valueTabuSize)

    - #### getValueTabuRatio

          public Double getValueTabuRatio()

    - #### setValueTabuRatio

          public void setValueTabuRatio(Double valueTabuRatio)

    - #### getFadingValueTabuSize

          public Integer getFadingValueTabuSize()

    - #### setFadingValueTabuSize

          public void setFadingValueTabuSize(Integer fadingValueTabuSize)

    - #### getFadingValueTabuRatio

          public Double getFadingValueTabuRatio()

    - #### setFadingValueTabuRatio

          public void setFadingValueTabuRatio(Double fadingValueTabuRatio)

    - #### getMoveTabuSize

          public Integer getMoveTabuSize()

    - #### setMoveTabuSize

          public void setMoveTabuSize(Integer moveTabuSize)

    - #### getFadingMoveTabuSize

          public Integer getFadingMoveTabuSize()

    - #### setFadingMoveTabuSize

          public void setFadingMoveTabuSize(Integer fadingMoveTabuSize)

    - #### getUndoMoveTabuSize

          public Integer getUndoMoveTabuSize()

    - #### setUndoMoveTabuSize

          public void setUndoMoveTabuSize(Integer undoMoveTabuSize)

    - #### getFadingUndoMoveTabuSize

          public Integer getFadingUndoMoveTabuSize()

    - #### setFadingUndoMoveTabuSize

          public void setFadingUndoMoveTabuSize(Integer fadingUndoMoveTabuSize)

    - #### getSolutionTabuSize

          @Deprecated
          public Integer getSolutionTabuSize()

      Deprecated.

    - #### setSolutionTabuSize

          @Deprecated
          public void setSolutionTabuSize(Integer solutionTabuSize)

      Deprecated.

    - #### getFadingSolutionTabuSize

          @Deprecated
          public Integer getFadingSolutionTabuSize()

      Deprecated.

    - #### setFadingSolutionTabuSize

          @Deprecated
          public void setFadingSolutionTabuSize(Integer fadingSolutionTabuSize)

      Deprecated.

    - #### getSimulatedAnnealingStartingTemperature

          public String getSimulatedAnnealingStartingTemperature()

    - #### setSimulatedAnnealingStartingTemperature

          public void setSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)

    - #### getLateAcceptanceSize

          public Integer getLateAcceptanceSize()

    - #### setLateAcceptanceSize

          public void setLateAcceptanceSize(Integer lateAcceptanceSize)

    - #### getGreatDelugeWaterLevelIncrementScore

          public String getGreatDelugeWaterLevelIncrementScore()

    - #### setGreatDelugeWaterLevelIncrementScore

          public void setGreatDelugeWaterLevelIncrementScore(String greatDelugeWaterLevelIncrementScore)

    - #### getGreatDelugeWaterLevelIncrementRatio

          public Double getGreatDelugeWaterLevelIncrementRatio()

    - #### setGreatDelugeWaterLevelIncrementRatio

          public void setGreatDelugeWaterLevelIncrementRatio(Double greatDelugeWaterLevelIncrementRatio)

    - #### getStepCountingHillClimbingSize

          public Integer getStepCountingHillClimbingSize()

    - #### setStepCountingHillClimbingSize

          public void setStepCountingHillClimbingSize(Integer stepCountingHillClimbingSize)

    - #### getStepCountingHillClimbingType

          public StepCountingHillClimbingType getStepCountingHillClimbingType()

    - #### setStepCountingHillClimbingType

          public void setStepCountingHillClimbingType(StepCountingHillClimbingType stepCountingHillClimbingType)

    - #### withAcceptorClassList

          @Deprecated
          public AcceptorConfig withAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)

      Deprecated.

    - #### withAcceptorTypeList

          public AcceptorConfig withAcceptorTypeList(List<AcceptorType> acceptorTypeList)

    - #### withEntityTabuSize

          public AcceptorConfig withEntityTabuSize(Integer entityTabuSize)

    - #### withEntityTabuRatio

          public AcceptorConfig withEntityTabuRatio(Double entityTabuRatio)

    - #### withFadingEntityTabuSize

          public AcceptorConfig withFadingEntityTabuSize(Integer fadingEntityTabuSize)

    - #### withFadingEntityTabuRatio

          public AcceptorConfig withFadingEntityTabuRatio(Double fadingEntityTabuRatio)

    - #### withValueTabuSize

          public AcceptorConfig withValueTabuSize(Integer valueTabuSize)

    - #### withValueTabuRatio

          public AcceptorConfig withValueTabuRatio(Double valueTabuRatio)

    - #### withFadingValueTabuSize

          public AcceptorConfig withFadingValueTabuSize(Integer fadingValueTabuSize)

    - #### withFadingValueTabuRatio

          public AcceptorConfig withFadingValueTabuRatio(Double fadingValueTabuRatio)

    - #### withMoveTabuSize

          public AcceptorConfig withMoveTabuSize(Integer moveTabuSize)

    - #### withFadingMoveTabuSize

          public AcceptorConfig withFadingMoveTabuSize(Integer fadingMoveTabuSize)

    - #### withUndoMoveTabuSize

          public AcceptorConfig withUndoMoveTabuSize(Integer undoMoveTabuSize)

    - #### withFadingUndoMoveTabuSize

          public AcceptorConfig withFadingUndoMoveTabuSize(Integer fadingUndoMoveTabuSize)

    - #### withSolutionTabuSize

          @Deprecated
          public AcceptorConfig withSolutionTabuSize(Integer solutionTabuSize)

      Deprecated.

    - #### withFadingSolutionTabuSize

          @Deprecated
          public AcceptorConfig withFadingSolutionTabuSize(Integer fadingSolutionTabuSize)

      Deprecated.

    - #### withSimulatedAnnealingStartingTemperature

          public AcceptorConfig withSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)

    - #### withLateAcceptanceSize

          public AcceptorConfig withLateAcceptanceSize(Integer lateAcceptanceSize)

    - #### withStepCountingHillClimbingSize

          public AcceptorConfig withStepCountingHillClimbingSize(Integer stepCountingHillClimbingSize)

    - #### withStepCountingHillClimbingType

          public AcceptorConfig withStepCountingHillClimbingType(StepCountingHillClimbingType stepCountingHillClimbingType)

    - #### buildAcceptor

          public Acceptor buildAcceptor(HeuristicConfigPolicy configPolicy)

    - #### inherit

          public AcceptorConfig inherit(AcceptorConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<AcceptorConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public AcceptorConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<AcceptorConfig>`
      Returns:
        new instance

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.